unit U_ColorsDlg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Dialogs, ExtDlgs;

type
  TOKBottomDlg = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    colorDlg: TColorDialog;
    BGBtn: TButton;
    FontBtn: TButton;
    BGSample: TPanel;
    FontSample: TLabel;
    Sample: TPanel;
    procedure BGBtnClick(Sender: TObject);
    procedure FontBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  public
    bgcolor,fontcolor:TColor;
  end;

var
  OKBottomDlg: TOKBottomDlg;

implementation

{$R *.dfm}

{************ BGButtonClick *********}
procedure TOKBottomDlg.BGBtnClick(Sender: TObject);
{Let the user change background color}
begin
  colordlg.color:=bgcolor;
  if colordlg.execute then
  begin
    bgcolor:=colordlg.Color;
    bgsample.Color:=bgcolor;
    sample.Color:=bgcolor
  end;
end;

{************ FontBtnClick **********}
procedure TOKBottomDlg.FontBtnClick(Sender: TObject);
{Let user change font color }
begin
  colordlg.Color:=fontcolor;
  if colordlg.execute then
  begin
    fontcolor:=colordlg.Color;
    fontsample.font.color:=fontcolor;
    sample.font.color:=fontcolor;
  end;
end;

{************ FormActivate ************}
procedure TOKBottomDlg.FormActivate(Sender: TObject);
{Initialize controls with current color values}
begin
  bgsample.Color:=bgcolor;
  sample.Color:=bgcolor;
  Fontsample.font.color:=fontcolor;
  sample.font.color:=fontcolor;
end;

end.
